org.wildfly.swarm.config.management.security_realm

## Class ByAccessTimeCache<T extends ByAccessTimeCache<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.ByAccessTimeCache<T>

-     public class ByAccessTimeCache<T extends ByAccessTimeCache<T>>
      extends Object

  A cache to hold the results of previous LDAP interactions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByAccessTimeCache()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `cacheFailures()` Should failures be cached?
    `T` | `cacheFailures(Boolean value)` Should failures be cached?
    `Integer` | `cacheSize()` The current size of the cache.
    `T` | `cacheSize(Integer value)` The current size of the cache.
    `Integer` | `evictionTime()` The time in seconds until an entry should be evicted from the cache.
    `T` | `evictionTime(Integer value)` The time in seconds until an entry should be evicted from the cache.
    `String` | `getKey()`
    `Integer` | `maxCacheSize()` The maximum size of the cache before the oldest items are removed to make room for new entries.
    `T` | `maxCacheSize(Integer value)` The maximum size of the cache before the oldest items are removed to make room for new entries.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByAccessTimeCache

          public ByAccessTimeCache()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### cacheFailures

          public Boolean cacheFailures()

      Should failures be cached?

    - #### cacheFailures

          public T cacheFailures(Boolean value)

      Should failures be cached?

    - #### cacheSize

          public Integer cacheSize()

      The current size of the cache.

    - #### cacheSize

          public T cacheSize(Integer value)

      The current size of the cache.

    - #### evictionTime

          public Integer evictionTime()

      The time in seconds until an entry should be evicted from the cache.

    - #### evictionTime

          public T evictionTime(Integer value)

      The time in seconds until an entry should be evicted from the cache.

    - #### maxCacheSize

          public Integer maxCacheSize()

      The maximum size of the cache before the oldest items are removed to make room for new entries.

    - #### maxCacheSize

          public T maxCacheSize(Integer value)

      The maximum size of the cache before the oldest items are removed to make room for new entries.

Copyright © 2018 JBoss by Red Hat. All rights reserved.